import { api } from "@nice/client";
import { useMemo } from "react";
import { Skeleton } from "antd";

export default function PostCount() {
	const { data, isLoading } = api.post.getPostCount.useQuery();
	const receiveCount = useMemo(() => {
		return data?.receiveCount;
	}, [data]);
	const resolvedCount = useMemo(() => {
		return data?.resolvedCount;
	}, [data]);

	return (
		<div className="shadow-elegant  items-center font-bold text-xl border border-white rounded-lg overflow-hidden flex flex-col transition-transform duration-300 hover:translate-y-[-5px] hover:shadow-lg">
			{isLoading ? (
				<Skeleton active />
			) : (
				<>
					<div className="bg-gray-200  text-gray-500  p-4 flex-1 flex w-full justify-center">
						共收到信件: {receiveCount}
					</div>
					<div className="p-4  text-primary-500 ">
						已处理信件: {resolvedCount}
					</div>
				</>
			)}
		</div>
	);
}
