import {
	PhoneOutlined,
	MailOutlined,
	CloudOutlined,
	HomeOutlined,
	FileSearchOutlined,
	FireTwoTone,
	FireOutlined,
} from "@ant-design/icons";
import Logo from "../../common/element/Logo";

export function Footer() {
	return (
		<footer className="bg-gradient-to-b from-primary-500 to-primary-500  text-white ">
			<div className="container mx-auto px-4 py-6">
				<div className="grid grid-cols-1 md:grid-cols-3 gap-4">
					{/* 开发组织信息 */}
					<div className="text-center md:text-left space-y-2">
						<h3 className="text-white font-semibold text-sm flex items-center justify-center md:justify-start">
							创新高地 软件小组
						</h3>
						<p className="text-white  text-xs italic">
							提供技术支持
						</p>
					</div>

					{/* 联系方式 */}
					<div className="text-center space-y-2">
						<div className="flex items-center justify-center space-x-2">
							<PhoneOutlined className="text-gray-400" />
							<span className="text-white  text-xs">628118</span>
						</div>
						<div className="flex items-center justify-center space-x-2">
							<MailOutlined className="text-gray-400" />
							<span className="text-white  text-xs">
								gcsjs6@tx3l.nb.kj
							</span>
						</div>
					</div>

					{/* 系统链接 */}
					<div className="text-center md:text-right space-y-2">
						<div className="flex items-center justify-center md:justify-end space-x-4">
							<a
								href="https://27.57.72.21"
								className="text-white  hover:text-white transition-colors"
								title="访问门户网站">
								<HomeOutlined className="text-lg" />
							</a>
							<a
								href="https://27.57.72.14"
								className="text-white  hover:text-white transition-colors"
								title="访问烽火青云">
								<CloudOutlined className="text-lg" />
							</a>

							<a
								href="http://27.57.72.38"
								className="text-white  hover:text-white transition-colors"
								title="访问烽火律询">
								<FileSearchOutlined className="text-lg" />
							</a>
						</div>
					</div>
				</div>

				{/* 版权信息 */}
				<div className="border-t border-gray-700/50 mt-4 pt-4 text-center">
					<p className="text-white  text-xs">
						© {new Date().getFullYear()} 南天烽火. All rights
						reserved.
					</p>
				</div>
			</div>
		</footer>
	);
}
